org.apache.storm.trident.windowing.config

## Class BaseWindowConfig

- java.lang.Object
- - org.apache.storm.trident.windowing.config.BaseWindowConfig

- All Implemented Interfaces:
    Serializable, WindowConfig
  Direct Known Subclasses:
    SlidingCountWindow, SlidingDurationWindow, TumblingCountWindow, TumblingDurationWindow

      public abstract class BaseWindowConfig
      extends Object
      implements WindowConfig

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.trident.windowing.config.WindowConfig

      `WindowConfig.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `slideLength`
    `protected int` | `windowLength`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseWindowConfig(int windowLength, int slideLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSlidingLength()` Returns the sliding length of the moving window.
    `int` | `getWindowLength()` Returns the length of the window.
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.trident.windowing.config.WindowConfig

      `getWindowStrategy`

- - ### Field Detail

    - #### windowLength

          protected final int windowLength

    - #### slideLength

          protected final int slideLength

  - ### Constructor Detail

    - #### BaseWindowConfig

          protected BaseWindowConfig(int windowLength,
                                     int slideLength)

  - ### Method Detail

    - #### getWindowLength

          public int getWindowLength()

      Description copied from interface: `WindowConfig`

      Returns the length of the window.

      Specified by:
        `getWindowLength` in interface `WindowConfig`

    - #### getSlidingLength

          public int getSlidingLength()

      Description copied from interface: `WindowConfig`

      Returns the sliding length of the moving window.

      Specified by:
        `getSlidingLength` in interface `WindowConfig`

    - #### validate

          public void validate()

      Specified by:
        `validate` in interface `WindowConfig`

Copyright © 2021 The Apache Software Foundation. All rights reserved.